cURL
curl --request POST \
--url https://api.checklyhq.com/accounts/{accountId}/ai/agents/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{}
],
"agent": "basic"
}
'import requests
url = "https://api.checklyhq.com/accounts/{accountId}/ai/agents/stream"
payload = {
"messages": [{}],
"agent": "basic"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({messages: [{}], agent: 'basic'})
};
fetch('https://api.checklyhq.com/accounts/{accountId}/ai/agents/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"API Reference
Post accounts aiagentsstream
POST
/
accounts
/
{accountId}
/
ai
/
agents
/
stream
cURL
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Path Parameters
Body
application/json
Response
default - application/json
Successful
The response is of type string.
Was this page helpful?
⌘I